Bug 25614 - "Clear filter" button permanently disabled on ILL request list
Summary: "Clear filter" button permanently disabled on ILL request list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-28 09:48 UTC by Andrew Isherwood
Modified: 2021-02-11 21:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 25614: Move ILL request keyword filter to sidebar (3.91 KB, patch)
2020-10-27 12:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25614: Move ILL request keyword filter to sidebar (3.96 KB, patch)
2021-01-25 05:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 25614: Move ILL request keyword filter to sidebar (3.99 KB, patch)
2021-01-26 13:44 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2020-05-28 09:48:44 UTC
On the datatables filtering on the ILL requests page, the "Clear filter" button at the top of the table is permanently disabled, even when the filter text box is populated. It should only be disabled when the text box is empty
Comment 1 Katrin Fischer 2020-10-26 22:35:06 UTC
Still valid. 

Owen, I've stared and glared... but can't figure it out. Would you mind having a look?
Comment 2 Owen Leonard 2020-10-27 12:44:26 UTC
Created attachment 112565 [details] [review]
Bug 25614: Move ILL request keyword filter to sidebar

On the ILL request list page there are two filters for the table: One in
the sidebar and one configured automatically by the DataTables plugin. I
think these two systems are conflicting somehow to prevent the "clear
filter" button in the table toolbar from working correctly.

This patch doesn't fix the bug but avoids it: Since the filter field in
the table toolbar is duplicating the functionality of the form in the
sidebar, we could hide it and rely on the sidebar filter instead.

To test, apply the patch and go to the ILL requests page in the staff
interface.

 - The table of requests should display without a search form or "clear
   filter" button at the top.
 - The left-hand sidebar form should now have a "keyword" filter option
   which searches any column in the table.
 - Other filter fields should work as before.
Comment 3 David Nind 2021-01-25 05:59:47 UTC
Created attachment 115738 [details] [review]
Bug 25614: Move ILL request keyword filter to sidebar

On the ILL request list page there are two filters for the table: One in
the sidebar and one configured automatically by the DataTables plugin. I
think these two systems are conflicting somehow to prevent the "clear
filter" button in the table toolbar from working correctly.

This patch doesn't fix the bug but avoids it: Since the filter field in
the table toolbar is duplicating the functionality of the form in the
sidebar, we could hide it and rely on the sidebar filter instead.

To test, apply the patch and go to the ILL requests page in the staff
interface.

 - The table of requests should display without a search form or "clear
   filter" button at the top.
 - The left-hand sidebar form should now have a "keyword" filter option
   which searches any column in the table.
 - Other filter fields should work as before.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Martin Renvoize 2021-01-26 13:44:10 UTC
Created attachment 115816 [details] [review]
Bug 25614: Move ILL request keyword filter to sidebar

On the ILL request list page there are two filters for the table: One in
the sidebar and one configured automatically by the DataTables plugin. I
think these two systems are conflicting somehow to prevent the "clear
filter" button in the table toolbar from working correctly.

This patch doesn't fix the bug but avoids it: Since the filter field in
the table toolbar is duplicating the functionality of the form in the
sidebar, we could hide it and rely on the sidebar filter instead.

To test, apply the patch and go to the ILL requests page in the staff
interface.

 - The table of requests should display without a search form or "clear
   filter" button at the top.
 - The left-hand sidebar form should now have a "keyword" filter option
   which searches any column in the table.
 - Other filter fields should work as before.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-01-26 13:44:36 UTC
Thanks for fixing this Owen.

Works as expected, no QA failures.

Passing QA
Comment 6 Jonathan Druart 2021-01-27 13:37:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 14:40:58 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-04 21:34:32 UTC
Pushed to 20.05.x for 20.05.09
Comment 9 Victor Grousset/tuxayo 2021-02-09 21:32:50 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.